const http = require('http')
const url = require('url')
const path = require('path')
const fs=require('fs')
const {formatDate} = require('./utils/index')
const file=path.resolve(__dirname,'./db.json')


const app=http.createServer((req,res)=>{
    res.setHeader('Content-Type','text/html;charset=utf-8')
    res.setHeader('Access-Control-Allow-Origin','*')
    const {pathname,query}=url.parse(req.url,true)
    if(pathname=='./goods'){
        const data=fs.readFileSync(file,'utf8')
        let goods = JSON.parse(data).goodsList
        goods.map(item => {
            item.createTime = formatDate(item.createTime)
        })

        res.end(JSON.stringify(goods))
        
    }else if(pathname==='./del'){
        const {id}=query
        const data=fs.readFileSync(file,'utf8')
        const goodsList=JSON.parse(data)

        const index = goodsList.findIndex(item => {
            return item.id === parseInt(id)
        })

        goodsList.splice(index,1)

        const goodsData = JSON.stringify({goodsList:goodsList})
        fs.writeFileSync(file,goodsData)
        res.end('删除成功')
    }
})

app.listen(8000, () => console.log('http://localhost:8000') )